KDE 4.7 PyKDE API Reference

- KDE's Python API

# EventListener Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.DomShared
Namespace: DOM

## Detailed Description

Introduced in DOM Level 2

The EventListener interface is the primary method for handling events. Users implement the EventListener interface and register their listener on an EventTarget using the AddEventListener method. The users should also remove their EventListener from its EventTarget after they have completed using the listener.

When a Node is copied using the cloneNode method the EventListeners attached to the source Node are not attached to the copied Node. If the user wishes the same EventListeners to be added to the newly created copy the user must add them manually.

## Methods
| __init__ (self)
DOM.DOMString | eventListenerType (self)
| handleEvent (self, DOM.Event evt)

## Method Documentation

__init__ | ( |  | self ) |

DOM.DOMString eventListenerType | ( |  | self ) |

Internal:
  not part of the DOM

Returns a name specifying the type of listener. Useful for checking if an event is of a particular sublass.

handleEvent | ( | self, |
|  | DOM.Event | evt
| ) |  |  |

This method is called whenever an event occurs of the type for which the EventListener interface was registered. Parameters

Parameters:

  | evt | The Event contains contextual information about the event. It also contains the stopPropagation and preventDefault methods which are used in determining the event's flow and default action.